| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
cv::GOCLContext Class Reference

`#include <opencv2/gapi/ocl/goclkernel.hpp>`

## Public Member Functions
template<typename T >
const T & | inArg (int input)
const cv::UMat & | inMat (int input)
const cv::Scalar & | inVal (int input)
cv::UMat & | outMatR (int output)
template<typename T >
T & | outOpaqueR (int output)
cv::Scalar & | outValR (int output)
template<typename T >
std::vector< T > & | outVecR (int output)

## Protected Member Functions
detail::VectorRef & | outOpaqueRef (int output)
detail::VectorRef & | outVecRef (int output)

## Protected Attributes
std::vector< GArg > | m_args
std::unordered_map< std::size_t, GRunArgP > | m_results

## Friends
class | gimpl::GOCLExecutable

## Member Function Documentation

## ◆ inArg()

template<typename T >

const T& cv::GOCLContext::inArg | ( | int | input | ) |
| inline

## ◆ inMat()

const cv::UMat& cv::GOCLContext::inMat | ( | int | input | ) |

## ◆ inVal()

const cv::Scalar& cv::GOCLContext::inVal | ( | int | input | ) |

## ◆ outMatR()

cv::UMat& cv::GOCLContext::outMatR | ( | int | output | ) |

## ◆ outOpaqueR()

template<typename T >

T& cv::GOCLContext::outOpaqueR | ( | int | output | ) |
| inline

## ◆ outOpaqueRef()

detail::VectorRef& cv::GOCLContext::outOpaqueRef | ( | int | output | ) |
| protected

## ◆ outValR()

cv::Scalar& cv::GOCLContext::outValR | ( | int | output | ) |

## ◆ outVecR()

template<typename T >

std::vector<T>& cv::GOCLContext::outVecR | ( | int | output | ) |
| inline

## ◆ outVecRef()

detail::VectorRef& cv::GOCLContext::outVecRef | ( | int | output | ) |
| protected

## Friends And Related Function Documentation

## ◆ gimpl::GOCLExecutable

friend class gimpl::GOCLExecutable
| friend

## Member Data Documentation

## ◆ m_args

std::vector<GArg> cv::GOCLContext::m_args
| protected

## ◆ m_results

std::unordered_map<std::size_t, GRunArgP> cv::GOCLContext::m_results
| protected

The documentation for this class was generated from the following file:

- opencv2/gapi/ocl/goclkernel.hpp